# Unique phones

## **What are unique phones?** <a href="#what-are-unique-phones" id="what-are-unique-phones"></a>

A phone is bound to a phone item, not to a character.&#x20;

Every phone is like a physical phone and can be used with all stored data.&#x20;

You can give your phone to another player, and they can use it with all the data stored in it.

## Supported inventories <a href="#supported-inventories" id="supported-inventories"></a>

An inventory with metadata is enough, but not all inventories are supported out of the box. If your inventory is not supported, see [custom inventory](/gksphone-v2/configuration/custom-inventory-1.md) for a guide on how to implement it yourself.

* [ox\_inventory](https://github.com/overextended/ox_inventory) - recommended
* [qb-inventory](https://github.com/qbcore-framework/qb-inventory)
* [core\_inventory](https://www.c8re.store/package/5121548)
* [qs-inventory](https://buy.quasar-store.com/package/4770732)
* [tgiann-inventory](https://tgiann.tebex.io/package/6273000)

## **How do you enable unique phones?**

To enable unique phones, you need to set `Config.MetaItem` to `true` in `gksphone/config/config.lua`.

```lua
Config.MetaItem = true
```

## **How do you set up unique phones with your inventory?** <a href="#how-to-add-unique-phones-to-your-inventory" id="how-to-add-unique-phones-to-your-inventory"></a>

### ox\_inventory

{% hint style="info" %}
Add the following to `ox_inventory/data/items.lua`. If you already have an item called `"phone" and "iphone"`, replace the data.
{% endhint %}

```lua
["phone"] = {
	label = "Phone",
	weight = 190,
	stack = false,
	consume = 0,
	client = {
		export = "gksphone.UsePhoneItem",
		remove = function()
			TriggerEvent("gksphone:client:ItemRemoved", "phone")
		end,
		add = function()
			TriggerEvent("gksphone:client:ItemAdded", "phone")
		end
	}
},
["iphone"] = {
	label = "iPhone",
	weight = 190,
	stack = false,
	consume = 0,
	client = {
		export = "gksphone.UsePhoneItem",
		remove = function()
			TriggerEvent("gksphone:client:ItemRemoved", "iphone")
		end,
		add = function()
			TriggerEvent("gksphone:client:ItemAdded", "iphone")
		end
	}
},
```

### qb-inventory, core\_inventory, qs-inventory, tgiann-inventory

Open `qb-core/shared/items.lua` and search for `phone and iphone`. Replace it with the following:

```lua
phone = { name = 'phone', label = 'Phone', weight = 700, type = 'item', image = 'phone.png', unique = true, useable = true, shouldClose = true, combinable = nil, description = 'Neat phone ya got there' },
iphone = { name = 'iphone', label = 'iPhone', weight = 1000, type = 'item', image = 'iphone.png', unique = true, useable = true, shouldClose = true, combinable = nil, description = 'Very expensive phone' },
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gkshop.org/gksphone-v2/configuration/unique-phones.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
